/*
  $Id: UnboundIDSyncProvider.java 2581 2013-01-02 21:16:24Z dfisher $

  Copyright (C) 2003-2013 Virginia Tech.
  All rights reserved.

  SEE LICENSE FOR MORE INFORMATION

  Author:  Middleware Services
  Email:   middleware@vt.edu
  Version: $Revision: 2581 $
  Updated: $Date: 2013-01-02 16:16:24 -0500 (Wed, 02 Jan 2013) $
*/
package org.ldaptive.provider.unboundid;

import com.unboundid.ldap.sdk.LDAPConnectionOptions;
import org.ldaptive.ConnectionConfig;

/**
 * UnboundID provider implementation that uses synchronous options. Attempting
 * to use connections by this provider in an asynchronous manner with throw
 * exceptions.
 *
 * @author  Middleware Services
 * @version  $Revision: 2581 $ $Date: 2013-01-02 16:16:24 -0500 (Wed, 02 Jan 2013) $
 */
public class UnboundIDSyncProvider extends UnboundIDProvider
{


  /** {@inheritDoc} */
  @Override
  protected LDAPConnectionOptions getDefaultLDAPConnectionOptions(
    final ConnectionConfig cc)
  {
    final LDAPConnectionOptions options = super.getDefaultLDAPConnectionOptions(
      cc);
    options.setUseSynchronousMode(true);
    return options;
  }
}
